OAuth MetadataOAuth-Authorization-Server-Metadaten abrufen

OAuth-Authorization-Server-Metadaten abrufen

Gibt OAuth-2.1-Authorization-Server-Metadaten zur Discovery durch OAuth-Clients zurück.

curl -X GET "https://api.example.com/mcp-server/.well-known/oauth-authorization-server" \
  -H "Content-Type: application/json"
{
  "issuer": "https://api.example.com/mcp-server",
  "authorization_endpoint": "https://api.example.com/mcp-server/authorize",
  "token_endpoint": "https://api.example.com/mcp-server/token",
  "registration_endpoint": "https://api.example.com/mcp-server/register",
  "response_types_supported": [
    "code"
  ],
  "grant_types_supported": [
    "authorization_code",
    "refresh_token"
  ],
  "code_challenge_methods_supported": [
    "S256",
    "plain"
  ],
  "token_endpoint_auth_methods_supported": [
    "none",
    "client_secret_post"
  ],
  "scopes_supported": [
    "mcp"
  ]
}
GET
/.well-known/oauth-authorization-server
GET
Base URLstring

Target server for requests. Edit to use your own host.

Request Preview
Response

Response will appear here after sending the request

Responses

issuerstring
Required
authorization_endpointstring
Required
token_endpointstring
Required
registration_endpointstring
Required
response_types_supportedstring[]
Required
Allowed values:code
grant_types_supportedstring[]
Required
Allowed values:authorization_coderefresh_token
code_challenge_methods_supportedstring[]
Required
Allowed values:S256plain
token_endpoint_auth_methods_supportedstring[]
Required
Allowed values:noneclient_secret_post
scopes_supportedstring[]
Required
Allowed values:mcp